import request from '@/utils/request'

// 查询守信红名单信息列表
export function listInfo(query) {
    return request({
        url: '/crmCreditRedlistInfo/findByPage',
        method: 'get',
        params: query
    })
}

// 查询守信红名单信息详细
export function getInfo(id) {
    return request({
        url: '/crmCreditRedlistInfo/' + id,
        method: 'get'
    })
}

// 新增守信红名单信息
export function addInfo(data) {
    return request({
        url: '/crmCreditRedlistInfo',
        method: 'post',
        data: data
    })
}

// 修改守信红名单信息
export function updateInfo(data) {
    return request({
        url: '/crmCreditRedlistInfo',
        method: 'put',
        data: data
    })
}

// 删除守信红名单信息
export function delInfo(id) {
    return request({
        url: '/crmCreditRedlistInfo/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
    console.log(ids);
    return request.post('/crmCreditRedlistInfo/delete',ids)
}